Package com.documentum.fc.client.search

# Interface IDfPerceptualRaterConfig

public interface IDfPerceptualRaterConfig
Configures criteria factors for the IPR algorithm (Incremental Perceptual Ranking).

See Also:
  - `IDfResultsManipulator.newPerceptualRaterFactory(IDfResultRaterConfig, IDfPerceptualRaterConfig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getAccuracyValidityWeight()`
  Gets the weight of the accuracy/validity criterion in the IPR algorithm.
  `float`
  `getClarityWeight()`
  Gets the weight of the clarity criterion in the IPR algorithm.
  `float`
  `getCurrencyWeight()`
  Gets the weight of the currency criterion in the IPR algorithm.
  `float`
  `getRatingWeight(String sourceName, int sourceType)`
  Gets the relative weight of the existing score provided by a specific source compared to the perceptual rater score.
  `float`
  `getScopeWeight()`
  Gets the weight of the scope criterion in the IPR algorithm.
  `float`
  `getSourceQualityWeight()`
  Gets the weight of the source quality criterion in the IPR algorithm.
  `boolean`
  `needsSrcTypeForRatingWeight(String sourceName)`
  Indicates whether the type of sources must be provided to the method `getRatingWeight(java.lang.String, int)`.

- ## Method Details

  - ### getScopeWeight

    float getScopeWeight()
    Gets the weight of the scope criterion in the IPR algorithm. The weight is relative to other weights, it can be set to any positive value. For example, if all weights are set to the same value, then all criteria will have the same influence on the score of a result computed by the IPR algorithm.
    Returns:
      The weight of the scope criterion (>=0).

  - ### getAccuracyValidityWeight

    float getAccuracyValidityWeight()
    Gets the weight of the accuracy/validity criterion in the IPR algorithm. The weight is relative to other weights, it can be set to any positive value. For example, if all weights are set to the same value, then all criteria will have the same influence on the score of a result computed by the IPR algorithm.
    Returns:
      The weight of the accuracy/validity criterion (>=0).

  - ### getClarityWeight

    float getClarityWeight()
    Gets the weight of the clarity criterion in the IPR algorithm. The weight is relative to other weights, it can be set to any positive value. For example, if all weights are set to the same value, then all criteria will have the same influence on the score of a result computed by the IPR algorithm.
    Returns:
      The weight of the clarity criterion (>=0).

  - ### getCurrencyWeight

    float getCurrencyWeight()
    Gets the weight of the currency criterion in the IPR algorithm. The weight is relative to other weights, it can be set to any positive value. For example, if all weights are set to the same value, then all criteria will have the same influence on the score of a result computed by the IPR algorithm.
    Returns:
      The weight of the currency criterion (>=0).

  - ### getSourceQualityWeight

    float getSourceQualityWeight()
    Gets the weight of the source quality criterion in the IPR algorithm. The weight is relative to other weights, it can be set to any positive value. For example, if all weights are set to the same value, then all criteria will have the same influence on the score of a result computed by the IPR algorithm.
    Returns:
      The weight of the source quality criterion (>=0).

  - ### getRatingWeight

    float getRatingWeight(String sourceName, int sourceType)
    Gets the relative weight of the existing score provided by a specific source compared to the perceptual rater score. This weight is used if the score computed by the perceptual rater needs to be merged with an existing score. This weight is relative to the perceptual rater score weight which is assigned a neutral value of 1.
    With a weight of 0 the existing score is not taken into account; with a weight of 100 or greater the perceptual rater score is ignored (and not computed).
    Parameters:
      `sourceName` - The name of the source.
      `sourceType` - The type of the source (`IDfSearchSource.SRC_TYPE_DOCBASE`, `IDfSearchSource.SRC_TYPE_EXTERNAL`).
    Returns:
      The weight of the perceptual rater score (>=0).

  - ### needsSrcTypeForRatingWeight

    boolean needsSrcTypeForRatingWeight(String sourceName)
    Indicates whether the type of sources must be provided to the method `getRatingWeight(java.lang.String, int)`. If this method returns `false` then `IDfSearchSource.SRC_TYPE_UNDEFINED` value may be provided as parameter of the method `getRatingWeight(java.lang.String, int)`.
    Parameters:
      `sourceName` - The name of the source.
    Returns:
      `true` if the type of sources must be provided; `false` if `IDfSearchSource.SRC_TYPE_UNDEFINED` value is sufficient.